> ## Documentation Index
>
> Fetch the complete documentation index at: [/llms.txt](https://developer.fabric.inc/llms.txt)
>
> Use this file to discover all available pages before exploring further.

[Skip to main content](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#content-area)

Create an order draft

cURL

```
curl --request POST \
  --url https://api.fabric.inc/v3/order-drafts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "cartId": "c86f777b-1885-4ddf-961d-542ba80a69b8",
  "order": {
    "number": "100001",
    "lineItems": [\
      {\
        "id": "6d65755f-b1d9-4c9d-bb5b-118d317f8db4",\
        "supplementaryData": {\
          "productTitle": "Lamp"\
        }\
      }\
    ],
    "attributes": {
      "orderStatus": "ACTIVE"
    }
  },
  "customerId": "110001"
}
'
```

```
import requests

url = "https://api.fabric.inc/v3/order-drafts"

payload = {
    "cartId": "c86f777b-1885-4ddf-961d-542ba80a69b8",
    "order": {
        "number": "100001",
        "lineItems": [\
            {\
                "id": "6d65755f-b1d9-4c9d-bb5b-118d317f8db4",\
                "supplementaryData": { "productTitle": "Lamp" }\
            }\
        ],
        "attributes": { "orderStatus": "ACTIVE" }
    },
    "customerId": "110001"
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    cartId: 'c86f777b-1885-4ddf-961d-542ba80a69b8',
    order: {
      number: '100001',
      lineItems: [\
        {\
          id: '6d65755f-b1d9-4c9d-bb5b-118d317f8db4',\
          supplementaryData: {productTitle: 'Lamp'}\
        }\
      ],
      attributes: {orderStatus: 'ACTIVE'}
    },
    customerId: '110001'
  })
};

fetch('https://api.fabric.inc/v3/order-drafts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

200

201

404

```
{
  "cartId": "c86f777b-1885-4ddf-961d-542ba80a69b8",
  "order": {
    "id": "6d65755f-b1d9-4c9d-bb5b-118d317f8db4",
    "number": "100001",
    "lineItems": [\
      {\
        "id": "6d65755f-b1d9-4c9d-bb5b-118d317f8db4",\
        "supplementaryData": {\
          "productTitle": "Lamp"\
        }\
      }\
    ],
    "attributes": {
      "orderStatus": "ACTIVE"
    }
  },
  "attributes": {
    "name": "wishlist"
  },
  "configuration": {
    "order": {
      "validate": {}
    },
    "product": {
      "cacheExpiry": 7776000,
      "behaviors": {
        "add": "REJECT",
        "update": "WARN",
        "get": "WARN",
        "cacheExpiry": "WARN"
      },
      "maxQuantity": {
        "limit": 100,
        "behaviors": {
          "add": "REJECT",
          "update": "WARN",
          "get": "WARN"
        }
      }
    },
    "inventory": {
      "cacheExpiry": 7776000,
      "behaviors": {
        "add": "REJECT",
        "update": "WARN",
        "get": "WARN",
        "cacheExpiry": "WARN"
      },
      "check": "SKU"
    },
    "tax": {
      "cacheExpiry": 7776000,
      "behaviors": {
        "cacheExpiry": "WARN"
      }
    },
    "promotions": {
      "cacheExpiry": 7776000,
      "behaviors": {
        "cacheExpiry": "WARN"
      }
    },
    "maxQuantity": {
      "limit": 100,
      "behaviors": {
        "add": "REJECT",
        "update": "WARN",
        "get": "WARN"
      }
    }
  },
  "customerContext": {
    "id": "109840938",
    "segments": [\
      {\
        "name": "membership",\
        "value": [\
          "gold",\
          "silver"\
        ]\
      }\
    ],
    "attributes": {
      "email": "test@gmail.com"
    },
    "sessionId": "3a5fd2d3-5c96-4e57-b069-7ff2a88c1119"
  },
  "status": "ACTIVE",
  "state": [\
    {\
      "resource": "CART",\
      "resourceId": "c86f777b-1885-4ddf-961d-542ba80a69b8",\
      "key": "MISSING_PAYMENT_DETAILS",\
      "description": "No payment details have been added to this Cart"\
    }\
  ],
  "price": {
    "total": 800,
    "subtotal": 750,
    "tax": 20,
    "fulfillments": 25,
    "discounts": 10,
    "fees": 5,
    "adjustments": 10
  },
  "promotions": {
    "total": 32,
    "collection": [\
      {\
        "id": "542ba80a69b8",\
        "title": "15 Percent All Products",\
        "code": "15_PERCENT",\
        "type": "PERCENTAGE",\
        "value": 15,\
        "attributes": {\
          "source": "cart"\
        }\
      }\
    ]
  },
  "fees": {
    "total": 5,
    "collection": [\
      {\
        "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",\
        "name": "Eco Fee",\
        "price": {\
          "amount": 12.99\
        },\
        "taxable": true,\
        "attributes": {\
          "source": "eco"\
        },\
        "tax": {\
          "total": 3,\
          "collection": [\
            {\
              "amount": 3,\
              "attributes": {\
                "rate": "5.0",\
                "type": "COUNTY"\
              }\
            }\
          ]\
        },\
        "updatedAt": "2024-06-13T16:50:00.682Z",\
        "createdAt": "2024-06-13T16:50:00.682Z",\
        "taxDetails": {\
          "destinationAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8",\
          "originAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8"\
        }\
      }\
    ]
  },
  "adjustments": {
    "total": 2,
    "collection": [\
      {\
        "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",\
        "price": {\
          "amount": 12.99\
        },\
        "reason": "Price adjustment from customer representative.",\
        "attributes": {\
          "source": "CSR"\
        },\
        "updatedAt": "2024-06-13T16:50:00.682Z",\
        "createdAt": "2024-06-13T16:50:00.682Z"\
      }\
    ]
  },
  "addresses": {
    "a8577d7f0d4d4b228e857b4a2e90dc93": {
      "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
      "name": {
        "first": "John",
        "middle": "S",
        "last": "Doe"
      },
      "email": "john@test.com",
      "phone": {
        "number": "123-456-7890",
        "type": "MOBILE"
      },
      "addressLine1": "123 Park Road",
      "addressLine2": "<string>",
      "addressLine3": "<string>",
      "addressLine4": "<string>",
      "city": "Santa Cruz",
      "region": "California",
      "country": "USA",
      "postalCode": "12345",
      "updatedAt": "2024-06-13T16:50:00.682Z",
      "createdAt": "2024-06-13T16:50:00.682Z"
    }
  },
  "lineItems": {
    "total": 100,
    "collection": [\
      {\
        "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",\
        "sku": "SKU3",\
        "refId": "41",\
        "quantity": 10,\
        "priceListId": "10001",\
        "position": 1,\
        "price": {\
          "unit": 10,\
          "amount": 100\
        },\
        "fees": {\
          "total": 5,\
          "collection": [\
            {\
              "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",\
              "name": "Eco Fee",\
              "price": {\
                "amount": 12.99\
              },\
              "taxable": true,\
              "attributes": {\
                "source": "eco"\
              },\
              "tax": {\
                "total": 3,\
                "collection": [\
                  {\
                    "amount": 3,\
                    "attributes": {\
                      "rate": "5.0",\
                      "type": "COUNTY"\
                    }\
                  }\
                ]\
              },\
              "updatedAt": "2024-06-13T16:50:00.682Z",\
              "createdAt": "2024-06-13T16:50:00.682Z",\
              "taxDetails": {\
                "destinationAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8",\
                "originAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8"\
              }\
            }\
          ]\
        },\
        "promotions": {\
          "total": 2,\
          "collection": [\
            {\
              "id": "bb44db95-6fbd-4eed-a1ed-4d99bc91250f",\
              "amount": 15,\
              "quantity": 3,\
              "proration": {\
                "spread": [\
                  {\
                    "amount": 5,\
                    "quantity": 3\
                  }\
                ]\
              }\
            }\
          ]\
        },\
        "adjustments": {\
          "total": 2,\
          "collection": [\
            {\
              "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",\
              "price": {\
                "amount": 12.99\
              },\
              "reason": "Price adjustment from customer representative.",\
              "attributes": {\
                "source": "CSR"\
              },\
              "updatedAt": "2024-06-13T16:50:00.682Z",\
              "createdAt": "2024-06-13T16:50:00.682Z"\
            }\
          ]\
        },\
        "fulfillment": {\
          "id": "6d65755f-b1d9-4c9d-bb5b-118d317f8db4",\
          "price": {\
            "amount": 12.99\
          },\
          "inventory": {\
            "type": "backOrder",\
            "channels": {\
              "networkCode": "ShipToHome"\
            }\
          },\
          "tax": {\
            "total": 3,\
            "collection": [\
              {\
                "amount": 3,\
                "attributes": {\
                  "rate": "5.0",\
                  "type": "COUNTY"\
                }\
              }\
            ]\
          }\
        },\
        "attributes": {\
          "name": "item-custom"\
        },\
        "tax": {\
          "total": 3,\
          "collection": [\
            {\
              "amount": 3,\
              "attributes": {\
                "rate": "5.0",\
                "type": "COUNTY"\
              }\
            }\
          ]\
        },\
        "taxCode": "10001",\
        "updatedAt": "2024-06-13T16:50:00.682Z",\
        "createdAt": "2024-06-13T16:50:00.682Z"\
      }\
    ]
  },
  "summary": {
    "totalItems": 1,
    "totalUniqueItems": 1
  },
  "fulfillments": {
    "d6229cdb0c5b4885b1b213b94d02488e": {
      "id": "d6229cdb-0c5b-4885-b1b2-13b94d02488e",
      "type": "SHIP_TO",
      "refId": "398427903843",
      "attributes": {
        "source": "store"
      },
      "originAddress": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
      "destinationAddress": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
      "locationId": "CA",
      "pickupPerson": {
        "primary": {
          "name": {
            "first": "John",
            "middle": "S",
            "last": "Doe"
          },
          "email": "john@test.com",
          "phone": {
            "number": "123-456-7890",
            "type": "MOBILE"
          }
        },
        "secondary": [\
          {\
            "name": {\
              "first": "John",\
              "middle": "S",\
              "last": "Doe"\
            },\
            "email": "john@test.com",\
            "phone": {\
              "number": "123-456-7890",\
              "type": "MOBILE"\
            }\
          }\
        ]
      },
      "price": {
        "amount": 12.99
      },
      "promotions": {
        "total": 15,
        "collection": [\
          {\
            "id": "bb44db95-6fbd-4eed-a1ed-4d99bc91250f",\
            "amount": 15\
          }\
        ]
      },
      "fees": {
        "total": 5,
        "collection": [\
          {\
            "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",\
            "name": "Eco Fee",\
            "price": {\
              "amount": 12.99\
            },\
            "taxable": true,\
            "attributes": {\
              "source": "eco"\
            },\
            "tax": {\
              "total": 3,\
              "collection": [\
                {\
                  "amount": 3,\
                  "attributes": {\
                    "rate": "5.0",\
                    "type": "COUNTY"\
                  }\
                }\
              ]\
            },\
            "updatedAt": "2024-06-13T16:50:00.682Z",\
            "createdAt": "2024-06-13T16:50:00.682Z",\
            "taxDetails": {\
              "destinationAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8",\
              "originAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8"\
            }\
          }\
        ]
      },
      "adjustments": {
        "total": 2,
        "collection": [\
          {\
            "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",\
            "price": {\
              "amount": 12.99\
            },\
            "reason": "Price adjustment from customer representative.",\
            "attributes": {\
              "source": "CSR"\
            },\
            "updatedAt": "2024-06-13T16:50:00.682Z",\
            "createdAt": "2024-06-13T16:50:00.682Z"\
          }\
        ]
      },
      "tax": {
        "total": 3,
        "collection": [\
          {\
            "amount": 3,\
            "attributes": {\
              "rate": "5.0",\
              "type": "COUNTY"\
            }\
          }\
        ]
      }
    }
  },
  "coupons": [\
    {\
      "code": "VALID_COUPON",\
      "updatedAt": "2024-06-13T16:50:00.682Z"\
    }\
  ],
  "appliedCoupons": [\
    {\
      "code": "VALID_COUPON",\
      "updatedAt": "2024-06-13T16:50:00.682Z"\
    }\
  ],
  "notAppliedCoupons": [\
    {\
      "code": "VALID_COUPON",\
      "updatedAt": "2024-06-13T16:50:00.682Z"\
    }\
  ],
  "validations": {
    "promotions": {
      "updatedAt": "2024-06-13T16:50:00.682Z",
      "appliedCoupons": [\
        "TEST_COUPON"\
      ],
      "refreshRequired": false
    },
    "lineItems": [\
      {\
        "sku": "SKU3",\
        "inventory": {\
          "channels": {\
            "networkCode": "ShipToHome"\
          },\
          "counters": {\
            "backOrder": 15,\
            "preOrder": 100\
          },\
          "updatedAt": "2024-06-13T16:50:00.682Z"\
        }\
      }\
    ],
    "product": {
      "availableSkus": [\
        {\
          "sku": "SKU3",\
          "updatedAt": "2024-06-13T16:50:00.682Z",\
          "maxQuantity": 100\
        }\
      ]
    },
    "tax": {
      "updatedAt": "2024-06-13T16:50:00.682Z"
    }
  },
  "payments": {
    "authorized": 800,
    "collection": [\
      {\
        "id": "6ef2067a-5d6b-4785-a090-96ea0078220d",\
        "provider": "verifone",\
        "processor": "stripe",\
        "method": "apple pay",\
        "methodType": "credit card",\
        "state": "PENDING",\
        "authorization": {\
          "amount": 8,\
          "expiry": "2024-06-13T16:50:00.682Z",\
          "verifier": {\
            "type": "TOKEN",\
            "key": "CH39082K439R0"\
          }\
        },\
        "billToAddress": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",\
        "cardDetails": {},\
        "attributes": {\
          "gift-card-name": "custom name"\
        }\
      }\
    ]
  },
  "channelId": "12",
  "currency": "USD",
  "updatedAt": "2024-06-13T16:50:00.682Z",
  "createdAt": "2024-06-13T16:50:00.682Z"
}
```

```
{
  "type": "CART_NOT_FOUND",
  "message": "Cart not found"
}
```

POST

/

order-drafts

Try it

Create an order draft

cURL

```
import requests

url = "https://api.fabric.inc/v3/order-drafts"

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

fetch('https://api.fabric.inc/v3/order-drafts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

200

201

404

```
{
  "type": "CART_NOT_FOUND",
  "message": "Cart not found"
}
```

#### Authorizations

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#authorization-authorization)

Authorization

string

header

required

This is the authorization token used to authenticate the request. You must pass the access token generated from the system app. For more information, see the [Making your first API request](https://developer.fabric.inc/v3/api-reference/getting-started/getting-started-with-fabric-apis#procedure) section.

#### Headers

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#parameter-x-fabric-tenant-id)

x-fabric-tenant-id

string

required

A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from [Copilot](https://developer.fabric.inc/v3/platform/settings/account-details/getting-the-account-id). This header is required.

Example:

`"617329dfd5288b0011332311"`

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#parameter-x-fabric-request-id)

x-fabric-request-id

string

Unique request ID for tracking.

Example:

`"263e731c-45c8-11ed-b878-0242ac120002"`

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#parameter-x-fabric-channel-id)

x-fabric-channel-id

string

x-fabric-channel-id identifies the sales channel through which the API request is being made; primarily for multichannel use cases. It is a required field. The default US channel is 12 while the default Canada channel is 11.

Example:

`"12"`

#### Body

application/json

Order Draft Request

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#body-cart-id)

cartId

string

required

The 24-character system-generated Cart ID. This ID is generated using the [Create cart](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/carts/carts) endpoint. This ID is used to reference the cart in subsequent API requests.

Example:

`"c86f777b-1885-4ddf-961d-542ba80a69b8"`

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#body-order)

order

object

required

Order information request object

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#body-customer-id)

customerId

string

The Customer ID that was added to the customer attribute when using the [Update customer](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/customer/update-customer) endpoint.

Example:

`"110001"`

#### Response

200

application/json

OK

Order Draft

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-cart-id)

cartId

string

The unique identifier of the cart, which is generated when the cart is created using the [Create an empty cart](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/carts/carts) endpoint.

Example:

`"c86f777b-1885-4ddf-961d-542ba80a69b8"`

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-order)

order

object

An object that contains order information, such as the order ID, order number, and items included in the order.

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-attributes)

attributes

object

Custom attributes provided to the context, such as a wishlist, to provide additional information about the entity.

Showchild attributes

Example:

```
{ "name": "wishlist" }
```

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-configuration)

configuration

object

Cart [configurations](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/configuration-behaviors) determine the behavior within the cart.

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-customer-context)

customerContext

object

Customer context object containing customer information.

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-status)

status

enum<string>

Indicates the status of the cart, which can be either ACTIVE or SOFT\_DELETE.

Available options:

`ACTIVE`,

`SOFT_DELETE`

Example:

`"ACTIVE"`

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-state)

state

object\[\]

An array containing details about the current state of the cart.

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-price)

price

object

The sum of the total amount of the cart.

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-promotions)

promotions

object

A collection of promotions applied to the corresponding cart.

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-fees)

fees

object

A collection of fees associated with the corresponding cart.

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-adjustments)

adjustments

object

A collection of adjustments made to the corresponding cart.

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-addresses)

addresses

object

A map of addresses added to the corresponding cart.

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-line-items)

lineItems

object

A collection of items in the cart.

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-summary)

summary

object

A summary of items in the cart.

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-fulfillments)

fulfillments

object

A map of fulfillments added to the corresponding cart.

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-coupons)

coupons

object\[\]

An array containing all coupons added to the corresponding cart.

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-applied-coupons)

appliedCoupons

object\[\]

An array containing all coupons applied to the cart.

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-not-applied-coupons)

notAppliedCoupons

object\[\]

An array containing any coupons that were ineligible and not applied to the cart.

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-validations)

validations

object

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-payments)

payments

object

An object containing a collection of payments added to the corresponding cart.

Showchild attributes

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-channel-id)

channelId

string

Channel ID

Example:

`"12"`

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-currency)

currency

string

The currency that the cart will use when an order is created.

Example:

`"USD"`

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-updated-at)

updatedAt

string

The date and time in UTC when the cart was last updated.

Example:

`"2024-06-13T16:50:00.682Z"`

[​](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/create-order-drafts#response-created-at)

createdAt

string

The date and time when the cart was created.

Example:

`"2024-06-13T16:50:00.682Z"`

Was this page helpful?

YesNo

[Delete cart attributes](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/cart-actions/delete-attributes) [Get the order draft by the order draft ID](https://developer.fabric.inc/v3/cart-and-checkout/api-reference/carts-v3/order-drafts/get-order-drafts-draftid)

Ctrl+I

Assistant

Responses are generated using AI and may contain mistakes.
